Bug 1211033 - Upgrade to latest version 1.2206
Summary: Upgrade to latest version 1.2206
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-IMAP-Simple
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-12 12:02 UTC by Peter Meier
Modified: 2015-10-07 16:36 UTC (History)
3 users (show)

Fixed In Version: perl-Net-IMAP-Simple-1.2206-1.fc24 perl-Net-IMAP-Simple-1.2206-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 16:36:27 UTC


Attachments (Terms of Use)

Description Peter Meier 2015-04-12 12:02:10 UTC
It would be good to upgrade the current version to the latest version (1.2206) as since 1.2200 this library does proper SSL verification (https://github.com/jettero/net--imap--simple/blob/master/Changes#L28-L33)

This is especially useful as perl-Net-IO-Socket-SSL now emit a big warning (https://github.com/noxxi/p5-io-socket-ssl/blob/master/Changes#L497-L503) if you don't try to do proper validation AND the only way to correctly address this is to pass proper parameters to Net::IMAP::Simple->new() which are only supported in newer version.

For myself I just rebuilt the package with the latest version and it worked without an issue.

Comment 1 Jan Kurik 2015-07-15 14:17:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2015-09-24 12:16:24 UTC
perl-Net-IMAP-Simple-1.2206-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16587

Comment 3 Fedora Update System 2015-09-25 16:33:23 UTC
perl-Net-IMAP-Simple-1.2206-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Net-IMAP-Simple'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16587

Comment 4 Fedora Update System 2015-10-07 16:36:24 UTC
perl-Net-IMAP-Simple-1.2206-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.